# Vec3 

Simple header only library defining a 3 dimensional vector type.

## Installation

To use from another CMake project you just need to add the following to your CMakeLists.txt:

```cmake
include(FetchContent)
FetchContent_Declare(Vec3
    GIT_REPOSITORY https://www.alexselimov.com/git/aselimov/Vec3.git
)

FetchContent_GetProperties(Vec3)
if(NOT Vec3_POPULATED)
    FetchContent_Populate(Vec3)
    include_directories(${Vec3_SOURCE_DIR}/include)
endif()
```

